#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Text_Editor.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Light_Button.H>
#include <FL/Fl_Input.H>

Fl_Text_Editor *edit;
Fl_Text_Buffer *buff;

void tab_nav_cb(Fl_Widget *w, void*) {
  Fl_Light_Button *b = (Fl_Light_Button*)w;
  edit->tab_nav(b->value() ? 1 : 0);
}

int main() {
     Fl_Double_Window *win  = new Fl_Double_Window(640, 480, "Test Fl_Text_Editor tab_nav()");
     new Fl_Input(140,10,200,25,"Input A");
     new Fl_Input(140,45,200,25,"Input B");
     new Fl_Button(350,10,140,30,"Button C");
     Fl_Light_Button *d = new Fl_Light_Button(350,45,140,30,"Tab Nav");
     d->align(FL_ALIGN_CENTER);
     d->callback(tab_nav_cb);
     buff = new Fl_Text_Buffer();
     edit = new Fl_Text_Editor(10, 75, 640-20, 480-75-10);
     edit->buffer(buff);		// attach the text buffer to our editor widget
     win->resizable(*edit);
     win->show();
     buff->text("line 0\nline 1\nline 2\n"
                "line 3\nline 4\nline 5\n"
                "line 6\nline 7\nline 8\n"
                "line 9\nline 10\nline 11\n"
                "line 12\nline 13\nline 14\n"
                "line 15\nline 16\nline 17\n"
                "line 18\nline 19\nline 20\n"
                "line 21\nline 22\nline 23\n");
     return(Fl::run());
}

